
Foreman - Bug #5214

Ancestry 2.1.0 dropped Ruby 1.8 support

04/16/2014 03:48 PM - Dominic Cleal

Status: Closed   

Priority: Immediate   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

develop is currently failing due to Ancestry 2.1.0 using some Ruby 1.9-isms.

http://ci.theforeman.org/job/test_develop/626

http://ci.theforeman.org/job/test_develop/626/database=sqlite3,ruby=1.8.7/console

undefined method `require_relative' for main:Object

/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop-1/gems/ancestry-2.1.0/lib/ancestry.rb:1

It should be pinned, at least temporarily.

Related issues:

Related to Foreman - Tracker #4656: Drop Ruby 1.8 support Closed

Associated revisions

Revision 18e392f2 - 04/17/2014 04:13 PM - Dominic Cleal

fixes #5214 - pin ancestry for Ruby 1.8 compatibility

Revision 658909c1 - 04/18/2014 03:14 AM - Dominic Cleal

fixes #5214 - pin ancestry for Ruby 1.8 compatibility

(cherry picked from commit 18e392f2eb6f568d0291d0037a3a87caf050ca5a)

Revision ce59f72e - 04/22/2014 02:05 PM - Dominic Cleal

fixes #5214 - pin ancestry for Ruby 1.8 compatibility

(cherry picked from commit 18e392f2eb6f568d0291d0037a3a87caf050ca5a)

Conflicts:

Gemfile

History

#1 - 04/16/2014 10:53 PM - Dominic Cleal

I've proposed https://github.com/stefankroes/ancestry/pull/187 to restore it.

#2 - 04/17/2014 04:14 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/1389

#3 - 04/17/2014 04:16 PM - Dominic Cleal

- Related to Tracker #4656: Drop Ruby 1.8 support added
#4 - 04/18/2014 03:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 18e392f2eb6f568d0291d0037a3a87caf050ca5a.
